Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Unable to install with Melco N1
05-01-2019, 10:53 (This post was last modified: 05-01-2019 11:24 by pdcman.)
Post: #1
Unable to install with Melco N1
Hi all, first post. Wink

I am trying to install minim-server for the first time to my Melco N1.
I am getting as far as putting the usb stick in the backup port, selecting backup and restore etc, but have the following message:- 'cannot restore from newer version'. Any ideas what I need to do next?
Thanks
Phil

update: I needed to update the melco software to 3.9 first. I have got as far as step 10 successfully. However, the front screen is now displaying normally, it doesn't appear that it is installing minim server. (the usb stick has been moved to the expansion slot as instructed) Is this done silently in the background?
Find all posts by this user
Quote this message in a reply
05-01-2019, 12:53 (This post was last modified: 05-01-2019 12:55 by Donuk.)
Post: #2
RE: Unable to install with Melco N1
error
Find all posts by this user
Quote this message in a reply
05-01-2019, 13:41 (This post was last modified: 05-01-2019 14:58 by simoncn.)
Post: #3
RE: Unable to install with Melco N1
What level was the Melco software when you got the 'cannot restore from newer version' message? This should not be happening unless it was a very old level.

The install happens silently because the Melco software doesn't allow MinimServer to write messages to the front panel. You can track progress by looking at the log file described in step 16 of the instructions.
Find all posts by this user
Quote this message in a reply
05-01-2019, 15:39
Post: #4
RE: Unable to install with Melco N1
(05-01-2019 13:41)simoncn Wrote:  What level was the Melco software when you got the 'cannot restore from newer version' message? This should not be happening unless it was a very old level.

The install happens silently because the Melco software doesn't allow MinimServer to write messages to the front panel. You can track progress by looking at the log file described in step 16 of the instructions.

Thanks Simon. It was at 3.72 from memory. I will check the log file as suggested and report back shortly.
Find all posts by this user
Quote this message in a reply
05-01-2019, 16:26
Post: #5
RE: Unable to install with Melco N1
Thanks for the quick reply. The 0.8.5.4 install image was created from a machine running 3.80, so this makes sense. I will add a note to the installation instructions telling people they need to be on 3.80 or higher.
Find all posts by this user
Quote this message in a reply
05-01-2019, 17:12
Post: #6
RE: Unable to install with Melco N1
OK, it seems to be up and running in Kazoo. It took longer than I thought, but I can see it via this app and play music.
I cannot however, access the folders via file manager on my PC. It can see the melco, but I cant connect to it. It asks for a username and password for access, which I've not seen previously!
Have I missed a step?
Thanks for any help offered. Smile.
Find all posts by this user
Quote this message in a reply
05-01-2019, 17:13
Post: #7
RE: Unable to install with Melco N1
(05-01-2019 12:53)Donuk Wrote:  error

Thanks? Confused
Find all posts by this user
Quote this message in a reply
05-01-2019, 20:38
Post: #8
RE: Unable to install with Melco N1
If it takes a long time for MinimServer to get up and running, this is probably because you are running Twonky on the Melco as well. Twonky consumes a lot of CPU resources and this makes MinimServer run more slowly, especially on initial startup. The MinimServer install instructions tell you how to disable Twonky.

The username/password issue is caused by the 3.90 firmware. You can access your library by entering nobody/nobody for the username and password.
Find all posts by this user
Quote this message in a reply
06-01-2019, 00:58
Post: #9
RE: Unable to install with Melco N1
(05-01-2019 20:38)simoncn Wrote:  If it takes a long time for MinimServer to get up and running, this is probably because you are running Twonky on the Melco as well. Twonky consumes a lot of CPU resources and this makes MinimServer run more slowly, especially on initial startup. The MinimServer install instructions tell you how to disable Twonky.

The username/password issue is caused by the 3.90 firmware. You can access your library by entering nobody/nobody for the username and password.

ah ah! Brilliant, thanks for your support Simon, I can now see it. Its annoying when they change these things in melco updates!

I'll look at turning twonky off when I've managed to change the trees in minimserver. that's my task for tomorrow. I might be back again..............!
Find all posts by this user
Quote this message in a reply
06-01-2019, 12:56
Post: #10
RE: Unable to install with Melco N1
To disable Twonky in the more recent firmwares for the Melco:
No need to use the Minimserver route. It is possible to do this from the menu system on the Melco.
I recently did this, with the latest firmware. But I cannot find reference to this in the Melco instructions. Perhaps I have missed it.
But it is possible!
Anyone remember how they did it??

Donuk beautiful downtown York
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)